CUDNN Frontend API 8.3.0

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
cudnn_frontend::PointWiseDesc_v8 Class Reference

`#include <cudnn_frontend_PointWiseDesc.h>`

Inheritance diagram for cudnn_frontend::PointWiseDesc_v8:
Collaboration diagram for cudnn_frontend::PointWiseDesc_v8:

## Public Member Functions
std::string | describe () const override
| Return a string describing the backend Descriptor. More...
int64_t | getPortCount () const
cudnnPointwiseMode_t | getPointWiseMode () const
| PointWiseDesc_v8 (PointWiseDesc_v8 &&from)=default
PointWiseDesc_v8 & | operator= (PointWiseDesc_v8 &&from)=default
| ~PointWiseDesc_v8 ()=default
Public Member Functions inherited from cudnn_frontend::BackendDescriptor
cudnnBackendDescriptor_t | get_raw_desc () const
cudnnStatus_t | get_status () const
| Current status of the descriptor. More...
void | set_status (cudnnStatus_t const status_) const
| Set status of the descriptor. More...
void | set_error (const char *message) const
| Set Diagonistic error message. More...
const char * | get_error () const
| Diagonistic error message if any. More...
ManagedOpaqueDescriptor | get_desc () const
| Returns a copy of underlying managed descriptor. More...
cudnnStatus_t | initialize_managed_backend_pointer (cudnnBackendDescriptorType_t type)
| Initializes the underlying managed descriptor. More...

## Private Member Functions
| PointWiseDesc_v8 ()=default
| PointWiseDesc_v8 (PointWiseDesc_v8 const &)=delete
PointWiseDesc_v8 & | operator= (PointWiseDesc_v8 const &)=delete

## Private Attributes
cudnnDataType_t | math_precision = CUDNN_DATA_FLOAT
cudnnPointwiseMode_t | mode = CUDNN_POINTWISE_ADD
cudnnNanPropagation_t | nan_propagation = CUDNN_NOT_PROPAGATE_NAN
double | upper_clip = std::numeric_limits<double>::max()
double | lower_clip = 0.0
double | lower_clip_slope = 0.0
double | elu_alpha = 1.0
double | softplus_beta = 1.0
double | swish_beta = 1.0

## Friends
class | PointWiseDescBuilder_v8

## Additional Inherited Members
Protected Member Functions inherited from cudnn_frontend::BackendDescriptor
| BackendDescriptor (ManagedOpaqueDescriptor pointer_, cudnnStatus_t status_, std::string err_msg_)
| BackendDescriptor ()=default
Protected Attributes inherited from cudnn_frontend::BackendDescriptor
ManagedOpaqueDescriptor | pointer
cudnnStatus_t | status = CUDNN_STATUS_SUCCESS
| Shared pointer of the OpaqueBackendPointer. More...
std::string | err_msg
| Error message if any being set. More...

## Detailed Description

PointWiseDesc Descriptor Class This class tells the properties of the PointWise operation Properties:

- math_precision
- mode
- nan_propagation
- upper_clip
- lower_clip
- lower_clip_slope
- elu_alpha
- softplus_beta
- swish_beta

Use PointWiseDesc_v8 to build this class. Describe returns a string describing the PointWise operation

Definition at line 56 of file cudnn_frontend_PointWiseDesc.h.

## Constructor & Destructor Documentation

## ◆ PointWiseDesc_v8() [1/3]

cudnn_frontend::PointWiseDesc_v8::PointWiseDesc_v8 | ( | PointWiseDesc_v8 && | from | ) |
| default

## ◆ ~PointWiseDesc_v8()

cudnn_frontend::PointWiseDesc_v8::~PointWiseDesc_v8 | ( |  | ) |
| default

Referenced by getPointWiseMode().

## ◆ PointWiseDesc_v8() [2/3]

cudnn_frontend::PointWiseDesc_v8::PointWiseDesc_v8 | ( |  | ) |
| privatedefault

Referenced by getPointWiseMode().

## ◆ PointWiseDesc_v8() [3/3]

cudnn_frontend::PointWiseDesc_v8::PointWiseDesc_v8 | ( | PointWiseDesc_v8 const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ describe()

std::string cudnn_frontend::PointWiseDesc_v8::describe | ( |  | ) | const
| inlineoverridevirtual

Return a string describing the backend Descriptor.

Implements cudnn_frontend::BackendDescriptor.

Definition at line 60 of file cudnn_frontend_PointWiseDesc.h.

References math_precision, and mode.

## ◆ getPointWiseMode()

cudnnPointwiseMode_t cudnn_frontend::PointWiseDesc_v8::getPointWiseMode | ( |  | ) | const
| inline

Definition at line 123 of file cudnn_frontend_PointWiseDesc.h.

References mode, operator=(), PointWiseDesc_v8(), and ~PointWiseDesc_v8().

## ◆ getPortCount()

int64_t cudnn_frontend::PointWiseDesc_v8::getPortCount | ( |  | ) | const
| inline

Definition at line 68 of file cudnn_frontend_PointWiseDesc.h.

References mode.

## ◆ operator=() [1/2]

PointWiseDesc_v8& cudnn_frontend::PointWiseDesc_v8::operator= | ( | PointWiseDesc_v8 && | from | ) |
| default

Referenced by cudnn_frontend::PointWiseDescBuilder_v8::build(), and getPointWiseMode().

## ◆ operator=() [2/2]

PointWiseDesc_v8& cudnn_frontend::PointWiseDesc_v8::operator= | ( | PointWiseDesc_v8 const & |  | ) |
| privatedelete

## Friends And Related Function Documentation

## ◆ PointWiseDescBuilder_v8

friend class PointWiseDescBuilder_v8
| friend

Definition at line 58 of file cudnn_frontend_PointWiseDesc.h.

Referenced by cudnn_frontend::PointWiseDescBuilder_v8::build().

## Member Data Documentation

## ◆ elu_alpha

double cudnn_frontend::PointWiseDesc_v8::elu_alpha = 1.0
| private

Definition at line 145 of file cudnn_frontend_PointWiseDesc.h.

## ◆ lower_clip

double cudnn_frontend::PointWiseDesc_v8::lower_clip = 0.0
| private

Definition at line 143 of file cudnn_frontend_PointWiseDesc.h.

## ◆ lower_clip_slope

double cudnn_frontend::PointWiseDesc_v8::lower_clip_slope = 0.0
| private

Definition at line 144 of file cudnn_frontend_PointWiseDesc.h.

## ◆ math_precision

cudnnDataType_t cudnn_frontend::PointWiseDesc_v8::math_precision = CUDNN_DATA_FLOAT
| private

Definition at line 139 of file cudnn_frontend_PointWiseDesc.h.

Referenced by describe().

## ◆ mode

cudnnPointwiseMode_t cudnn_frontend::PointWiseDesc_v8::mode = CUDNN_POINTWISE_ADD
| private

Definition at line 140 of file cudnn_frontend_PointWiseDesc.h.

Referenced by describe(), getPointWiseMode(), and getPortCount().

## ◆ nan_propagation

cudnnNanPropagation_t cudnn_frontend::PointWiseDesc_v8::nan_propagation = CUDNN_NOT_PROPAGATE_NAN
| private

Definition at line 141 of file cudnn_frontend_PointWiseDesc.h.

## ◆ softplus_beta

double cudnn_frontend::PointWiseDesc_v8::softplus_beta = 1.0
| private

Definition at line 146 of file cudnn_frontend_PointWiseDesc.h.

## ◆ swish_beta

double cudnn_frontend::PointWiseDesc_v8::swish_beta = 1.0
| private

Definition at line 147 of file cudnn_frontend_PointWiseDesc.h.

## ◆ upper_clip

double cudnn_frontend::PointWiseDesc_v8::upper_clip = std::numeric_limits<double>::max()
| private

Definition at line 142 of file cudnn_frontend_PointWiseDesc.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_PointWiseDesc.h